Listar mensagens de uma conversa
curl --request GET \
--url https://cloud.watahub.dev/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/conversations/{conversationId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"wamid": "<string>",
"conversationId": "<string>",
"phoneNumberId": "<string>",
"direction": "inbound",
"contactWaId": "<string>",
"type": "<string>",
"status": "sent",
"body": "<string>",
"createdAt": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Referência da API
Listar mensagens de uma conversa
Listar mensagens de uma conversa
GET
/
v1
/
conversations
/
{conversationId}
/
messages
Listar mensagens de uma conversa
curl --request GET \
--url https://cloud.watahub.dev/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/conversations/{conversationId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"wamid": "<string>",
"conversationId": "<string>",
"phoneNumberId": "<string>",
"direction": "inbound",
"contactWaId": "<string>",
"type": "<string>",
"status": "sent",
"body": "<string>",
"createdAt": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Esta página foi útil?